All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.crossing.html
Class MapCrossingSelectorPanel.ESRITreeNodeTransform

    com.sas.servlet.tbeans.dataselectors.crossing.html.MapCrossingSelectorPanel.ESRITreeNodeTransform

All Implemented Interfaces:
  com.sas.servlet.tbeans.html.TreeView.TreeNodeTransform

Enclosing class:
  MapCrossingSelectorPanel

    public static class MapCrossingSelectorPanel.ESRITreeNodeTransform

implements com.sas.servlet.tbeans.html.TreeView.TreeNodeTransform

Constructor Summary
`MapCrossingSelectorPanel.ESRITreeNodeTransform()`

Method Summary
`void` | `transform(TreeNodeInterface node, java.lang.Object obj)` Transforms a node into a TreeNodeInterface for use by the TreeView by setting the appropriate properties on a node based on information from an object.

Constructor Detail

### MapCrossingSelectorPanel.ESRITreeNodeTransform

    public MapCrossingSelectorPanel.ESRITreeNodeTransform()

Method Detail

### transform

    public void transform(TreeNodeInterface node,
                          java.lang.Object obj)

  Description copied from interface: `TreeView.TreeNodeTransform`
  Transforms a node into a TreeNodeInterface for use by the TreeView by setting the appropriate properties on a node based on information from an object.

  Specified by:
    `transform` in interface `com.sas.servlet.tbeans.html.TreeView.TreeNodeTransform`
  Parameters:
    `node` - the node which needs to be updated with new information
    `obj` - the object from the TreeModel which contains the TreeNode information

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.